#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// This program is specific to the given problem where only 3-digit numbers are
// considered. I _could_ have made it generalizable... but I feel lazy.

int
main(void)
{
	int largestPalindrome = 0;
	char buffer[6]; // 999x999 gives a 6-digit number
	char revbuffer[3];

	for (int a = 100; a < 1000; a++)
	{
		for (int b = 100; b < 1000; b++)
		{
			int product = a * b;
			sprintf(buffer, "%d", product);
			revbuffer[0] = buffer[5];
			revbuffer[1] = buffer[4];
			revbuffer[2] = buffer[3];
			if (strncmp(buffer, revbuffer, 3) == 0)
			{
				printf("%d * %d = %d is palindromic\n", a, b, product);
				if (product > largestPalindrome)
					largestPalindrome = product;
			}
		}
	}
	printf("The largest palindrome made from the product of two 3-digit numbers is %d\n", largestPalindrome);
}
